<?php
namespace MYO\Util;

use Teknisa\Libs\Util\Environment as LibEnvironment;
use Zeedhi\ZhuAcl\Util\Environment as ZeedhiEnvironment;

class AclEnvironment extends LibEnvironment implements ZeedhiEnvironment {

    protected $projectId;
    protected $session;
    protected $defaultRule = "I";

    public function __construct($session, $projectId) {
        $this->session   = $session;
        $this->projectId = $projectId;
    }

    public function getUserId(){
        return $this->getCurrentUserId();
    }

    public function getOrganizationId(){
        return $this->getCurrentOrganizationId();
    }

    public function getCurrentTime(){
        return new \DateTime();
    }

    public function getProjectId(){
        return $this->projectId;
    }

    public function getDefaultRule() {
        return $this->defaultRule;
    }
}