/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_GRUPNUTR                                                 */
/* Tabela : GRUPNUTR                                                          */
/*                                                                   	      */
/* Criao:                                                                   */
/* 02/02/2005 - Jonathan Abdon Silva    		      		      */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPNUTR'  and
            type = 'TR'                   and
            u.uid = o.uid                 and
            u.name = USER)
  DROP TRIGGER DTULTATU_GRUPNUTR
  GO


CREATE TRIGGER DTULTATU_GRUPNUTR
ON GRUPNUTR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'GRUPNUTR', NULL, 'CDGRUPNUTR='+CDGRUPNUTR+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE GRUPNUTR
      SET DTULTATUGRNU = GETDATE()
      FROM INSERTED
      WHERE
         (GRUPNUTR.CDGRUPNUTR = INSERTED.CDGRUPNUTR)
   END;
END;
GO



